Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.registries.commons.v1
Class AnomaliesType

    java.lang.Object
      be.fgov.ehealth.rn.registries.commons.v1.AnomaliesType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class AnomaliesType

extends Object
implements Serializable

Type defining the structure of the part of the response containing warnings about the returned data

Java class for AnomaliesType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AnomaliesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Anomaly" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}DetailedStatusType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AnomaliesType()`

Method Summary
`List<DetailedStatusType>` | `getAnomalies()` Gets the value of the anomalies property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnomaliesType

    public AnomaliesType()

Method Detail

### getAnomalies

    public List<DetailedStatusType> getAnomalies()

  Gets the value of the anomalies property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anomalies property.

  For example, to add a new item, do as follows:

          getAnomalies().add(newItem);

  Objects of the following type(s) are allowed in the list `DetailedStatusType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.